package main

import (
	"enterprise/common/config"
	"enterprise/common/global"
	"enterprise/server"
	"enterprise/worker"
	"time"
)

func main1() {
	config.LoadServerConfig()
	global.InitGlobal()

	if err := worker.Init(); err != nil {
		panic(err)
	}

	if err := server.Start(); err != nil {
		panic(err)
	}
}

func main() {
	config.LoadServerConfig()
	global.InitGlobal()
	//cfg := config.GetConfig()
	for i := 0; i < 10; i++ {
		new(worker.Approval).SyncCheckinMonth(time.Now().AddDate(0, 0-i, 0).Format("200601"))
	}

}
